nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::IStringMap Class Referenceabstract
Inheritance diagram for nx::sdk::IStringMap:

## Public Member Functions
virtual int | count () const =0
virtual const char * | key (int i) const =0
virtual const char * | value (int i) const =0
virtual const char * | value (const char *key) const =0
Public Member Functions inherited from nx::sdk::Interface< IStringMap >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IStringMap >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static constexpr const InterfaceId * | makeId (const char(&charArray)[len])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])

## Member Function Documentation

## ◆ key()

virtual const char* nx::sdk::IStringMap::key | ( | int | i | ) | const
| pure virtual

Returns
  Null if the index is invalid.

Implemented in nx::sdk::StringMap.

## ◆ value() [1/2]

virtual const char* nx::sdk::IStringMap::value | ( | int | i | ) | const
| pure virtual

Returns
  Null if the index is invalid.

Implemented in nx::sdk::StringMap.

## ◆ value() [2/2]

virtual const char* nx::sdk::IStringMap::value | ( | const char * | key | ) | const
| pure virtual

Returns
  Null if not found or the key is null.

Implemented in nx::sdk::StringMap.

The documentation for this class was generated from the following file:

- src/nx/sdk/i_string_map.h